;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50c-sig.el
;; for the Debian c-sig package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The c-sig package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/emacs/site-lisp/c-sig")))
;; If package-dir does not exist, the c-sig package must have
;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
    (if (fboundp 'debian-pkg-add-load-path-item)
        (debian-pkg-add-load-path-item package-dir)
      (setq load-path (cons package-dir load-path)))
    (autoload 'add-signature "c-sig" "c-sig" t)
    (autoload 'delete-signature "c-sig" "c-sig" t)
    (autoload 'insert-signature-eref "c-sig" "c-sig" t)
    (autoload 'insert-signature-automatically "c-sig" "c-sig" t)
    (autoload 'insert-signature-randomly "c-sig" "c-sig" t)))
